- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl_audio_samples_t Union Reference
[Audio frame]

Container for interleaved audio samples. More...

`#include <gavl.h>`

## Data Fields
uint8_t * | u_8
int8_t * | s_8
uint16_t * | u_16
int16_t * | s_16
uint32_t * | u_32
int32_t * | s_32
float * | f
double * | d

## Detailed Description

Container for interleaved audio samples.

## Field Documentation

uint8_t* gavl_audio_samples_t::u_8

Unsigned 8 bit samples

int8_t* gavl_audio_samples_t::s_8

Signed 8 bit samples

uint16_t* gavl_audio_samples_t::u_16

Unsigned 16 bit samples

int16_t* gavl_audio_samples_t::s_16

Signed 16 bit samples

uint32_t* gavl_audio_samples_t::u_32

Unsigned 32 bit samples (used internally only)

int32_t* gavl_audio_samples_t::s_32

Signed 32 bit samples

float* gavl_audio_samples_t::f

Floating point samples

double* gavl_audio_samples_t::d

Double samples

The documentation for this union was generated from the following file:

- /sda4/XXX/YYY/F/gavl-1.0.0/include/gavl/gavl.h